Bug 868945 - [RFE] Cannot add cases to one test-run from different Plans
[RFE] Cannot add cases to one test-run from different Plans
Status: NEW
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 10:15 EDT by David Botzer
Modified: 2016-06-23 00:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-10-22 10:15:56 EDT
Description of problem:
I have Several Test Plans and I would like to create 1 TestRun that will include all cases from all Test Plans,

The only to make it so is export each Plan's cases to an XML

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Create several Test Plans
2.Create Test Run
3.Import cases to this Test Run
  
Actual results:
Cannot add cases from different Plans

Expected results:
A.Should allow adding cases from different Plans
B,Should allow Creating Test Run from a Plan and adding all cases from its Sub-Plans

Additional info:
Comment 1 yawei Li 2012-10-30 05:28:55 EDT
Currently TCMS test plan map to test run is 1:n, and as I know it is same as several other test case management tools.
May I know your scenario?
Comment 2 David Botzer 2012-10-31 09:14:16 EDT
I created several Test Plans as follow

I have twp main branches:
6478 - [RHEVM][oVirt-Engine-Reports] 
6488 - [RHEVM][oVirt-Engine-DWH] 

Under each Test Plan I have several Sub Test Plans & respectivley their Test Cases.

I want to be able to create 1 Test Run inside each of the main Test Plans branches and to import all sub Testplans cases into it.

e.x
6478 - [RHEVM][oVirt-Engine-Reports] 
6479 - [RHEVM][oVirt-Engine-Reports][performance] 
6480 - [RHEVM][oVirt-Engine-Reports][Automation]

Test run that will include all the above
Comment 3 yawei Li 2012-11-13 04:46:21 EST
OK, understand your scenario.
We are considering how to implement it, and keep test plan to test run as 1:n.

One test run only can be from one test plan, but can add the plan's child plan's test cases. Is it OK?
Comment 4 David Botzer 2012-11-13 05:09:57 EST
Yes,
Adding TestCases from all a test plan childs to the same Test Run
Thanks,

Note You need to log in before you can comment on or make changes to this bug.